org.apache.ignite.internal.processors.cache

## Class CacheEntryPredicateAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryPredicateAdapter

All Implemented Interfaces:
  Serializable, CacheEntryPredicate, IgnitePredicate<GridCacheEntryEx>, Message

Direct Known Subclasses:
  CacheEntryPredicateContainsValue, CacheEntryPredicateHasValue, CacheEntryPredicateNoValue

    public abstract class CacheEntryPredicateAdapter
    extends Object
    implements CacheEntryPredicate

See Also:
  Serialized Form

### Field Summary

Fields
`protected boolean` `locked`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CacheEntryPredicateAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`void` `entryLocked(boolean locked)`
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(GridCacheContext ctx, ClassLoader ldr)`
`void` `onAckReceived()` Method called when ack message received.
`protected @Nullable CacheObject` `peekVisibleValue(GridCacheEntryEx entry)`
`void` `prepareMarshal(GridCacheContext ctx)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.lang.IgnitePredicate

`apply`

### Field Detail

#### locked

    protected transient boolean locked

### Constructor Detail

#### CacheEntryPredicateAdapter

    public CacheEntryPredicateAdapter()

### Method Detail

#### finishUnmarshal

    public void finishUnmarshal(GridCacheContext ctx,
                                ClassLoader ldr)
                         throws IgniteCheckedException

Specified by:
  `finishUnmarshal` in interface `CacheEntryPredicate`
Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### prepareMarshal

    public void prepareMarshal(GridCacheContext ctx)
                        throws IgniteCheckedException

Specified by:
  `prepareMarshal` in interface `CacheEntryPredicate`
Parameters:
  `ctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### entryLocked

    public void entryLocked(boolean locked)

Specified by:
  `entryLocked` in interface `CacheEntryPredicate`
Parameters:
  `locked` - Entry locked

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### peekVisibleValue

    @Nullable
    protected @Nullable CacheObject peekVisibleValue(GridCacheEntryEx entry)

Parameters:
  `entry` - Entry.
Returns:
  Value.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022